package com.psbc.cpsp.eden.common.context;

import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

/**
 * 租户上下文工具类
 */
public class TenantContext {
    private static final String TENANT_ID_HEADER = "X-Tenant-ID";

    /**
     * 从请求头中获取租户ID
     * 
     * @return 租户ID，如果获取不到则返回默认值
     */
    public static String getCurrentTenantId() {
        ServletRequestAttributes attributes = (ServletRequestAttributes) RequestContextHolder.getRequestAttributes();
        if (attributes == null) {
            return "1";
        }

        HttpServletRequest request = attributes.getRequest();
        String tenantId = request.getHeader(TENANT_ID_HEADER);
        return tenantId != null && !tenantId.isEmpty() ? tenantId : "1";
    }
}