package com.psbc.cpsp.eden.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.psbc.cpsp.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 资产分类实体类
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_asset_classification")
public class AssetClassification extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 分类ID */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 分类编码 */
    @NotBlank(message = "分类编码不能为空")
    @Size(max = 50, message = "分类编码长度不能超过50个字符")
    private String classificationCode;

    /** 分类名称 */
    @NotBlank(message = "分类名称不能为空")
    @Size(max = 100, message = "分类名称长度不能超过100个字符")
    private String classificationName;

    /** 上级分类ID */
    private Long parentId;

    /** 状态 1-启用 0-禁用 */
    @NotBlank(message = "状态不能为空")
    @Size(max = 1, message = "状态长度不能超过1个字符")
    private String status;

    /** 备注 */
    private String remark;

    /** 是否删除 0-未删除 1-已删除 */
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String delFlag;
}