package com.psbc.cpsp.eden.common.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.psbc.cpsp.entity.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.Size;

/**
 * 资产位置实体类
 */
@Data
@EqualsAndHashCode(callSuper = true)
@TableName("tb_asset_location")
public class AssetLocation extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /** 位置ID */
    @TableId(type = IdType.AUTO)
    private Long id;

    /** 位置编码 */
    @NotBlank(message = "位置编码不能为空")
    @Size(max = 50, message = "位置编码长度不能超过50个字符")
    private String locationCode;

    /** 位置名称 */
    @NotBlank(message = "位置名称不能为空")
    @Size(max = 100, message = "位置名称长度不能超过100个字符")
    private String locationName;

    /** 上级位置ID */
    private Long parentId;

    /** 状态 1-启用 0-禁用 */
    @NotBlank(message = "状态不能为空")
    @Size(max = 1, message = "状态长度不能超过1个字符")
    private String status;

    /** 备注 */
    private String remark;

    /** 是否删除 0-未删除 1-已删除 */
    @TableLogic
    @TableField(fill = FieldFill.INSERT)
    private String delFlag;
}