package com.psbc.cpsp.eden.common.request;

import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 资产查询请求对象
 */
@Data
public class AssetQueryRequest {
    /** 资产编码 */
    private String assetCode;

    /** 资产名称 */
    private String assetName;

    /** 资产分类ID */
    private Long classificationId;

    /** 管理员ID */
    private String adminUserId;

    /** 所属公司ID */
    private Long companyId;

    /** 所在位置ID */
    private Long locationId;

    /** 购置方式 */
    private String purchaseType;

    /** 品牌 */
    private String brand;

    /** 型号 */
    private String model;

    /** 设备序列号 */
    private String serialNumber;

    /** 购置金额范围-最小值 */
    private BigDecimal purchaseAmountMin;

    /** 购置金额范围-最大值 */
    private BigDecimal purchaseAmountMax;

    /** 购置时间范围-开始时间 */
    private Date purchaseDateStart;

    /** 购置时间范围-结束时间 */
    private Date purchaseDateEnd;

    /** 入库时间范围-开始时间 */
    private Date storageDateStart;

    /** 入库时间范围-结束时间 */
    private Date storageDateEnd;

    /** 保养到期时间范围-开始时间 */
    private Date maintenanceDueDateStart;

    /** 保养到期时间范围-结束时间 */
    private Date maintenanceDueDateEnd;

    /** 资产状态 */
    private String assetStatus;

    /** 页码 */
    private Integer pageNum = 1;

    /** 每页记录数 */
    private Integer pageSize = 10;
} 