package com.psbc.cpsp.eden.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 资产导出VO类
 */
@Data
public class AssetExportVO {
    /** 资产编码 */
    private String assetCode;

    /** 资产分类 */
    private String classificationName;

    /** 资产名称 */
    private String assetName;

    /** 资产状态 */
    private String assetStatus;

    /** 品牌 */
    private String brand;

    /** 型号 */
    private String model;

    /** 设备序列号 */
    private String serialNumber;

    /** 管理员 */
    private String adminUserName;

    /** 所在位置 */
    private String locationName;

    /** 所属公司 */
    private String companyName;

    /** 所属公司ID */
    private Long companyId;

    /** 管理员ID */
    private String adminUserId;

    /** 购置时间 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date purchaseDate;

    /** 购置方式 */
    private String purchaseType;

    /** 购置金额(含税) */
    private BigDecimal purchaseAmount;

    /** 入库时间 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date storageDate;

    /** 预计使用期限(月) */
    private Integer expectedUsefulLife;

    /** 备注 */
    private String remark;

    /** 资产照片链接 */
    private String assetPhoto;

    /** 保养到期时间 */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date maintenanceDueDate;

    /** 保养说明 */
    private String maintenanceDescription;

    /** 预计折旧期限(月) */
    private Integer expectedDepreciationPeriod;
}