package com.psbc.cpsp.eden.common.vo;

import lombok.Data;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 资产视图对象
 */
@Data
public class AssetVO {
    /** 资产ID */
    private String id;

    /** 资产编码 */
    private String assetCode;

    /** 资产名称 */
    private String assetName;

    /** 资产分类ID */
    private Long classificationId;

    /** 资产分类名称 */
    private String classificationName;

    /** 管理员ID */
    private String adminUserId;

    /** 管理员名称 */
    private String adminUserName;

    /** 所属公司ID */
    private Long companyId;

    /** 所属公司名称 */
    private String companyName;

    /** 所在位置ID */
    private Long locationId;

    /** 所在位置名称 */
    private String locationName;

    /** 购置方式 */
    private String purchaseType;

    /** 品牌 */
    private String brand;

    /** 型号 */
    private String model;

    /** 设备序列号 */
    private String serialNumber;

    /** 购置金额 */
    private BigDecimal purchaseAmount;

    /** 预计使用期限(月) */
    private Integer expectedUsefulLife;

    /** 备注 */
    private String remark;

    /** 购置时间 */
    private Date purchaseDate;

    /** 入库时间 */
    private Date storageDate;

    /** 资产照片URL */
    private String assetPhoto;

    /** 保养到期时间 */
    private Date maintenanceDueDate;

    /** 保养说明 */
    private String maintenanceDescription;

    /** 预计折旧期限(月) */
    private Integer expectedDepreciationPeriod;

    /** 资产状态 */
    private String assetStatus;

    /** 资产状态描述 */
    private String assetStatusDesc;
} 