package com.psbc.cpsp.eden.constants;

/**
 * 资产管理常量类
 */
public class AssetConstants {
    /** 购置方式-采购 */
    public static final String PURCHASE_TYPE_BUY = "1";
    /** 购置方式-租赁 */
    public static final String PURCHASE_TYPE_RENT = "2";

    /** 购置方式名称-采购 */
    public static final String PURCHASE_TYPE_BUY_NAME = "采购";
    /** 购置方式名称-租赁 */
    public static final String PURCHASE_TYPE_RENT_NAME = "租赁";

    /** 默认页码 */
    public static final int DEFAULT_PAGE_NUM = 1;
    /** 默认每页记录数 */
    public static final int DEFAULT_PAGE_SIZE = 10;
    /** 最大每页记录数 */
    public static final int MAX_PAGE_SIZE = 100;

    /** 资产编码前缀 */
    public static final String ASSET_CODE_PREFIX = "ZC";
    /** 资产编码日期格式 */
    public static final String ASSET_CODE_DATE_FORMAT = "yyyyMMdd";
    /** 资产编码序号长度 */
    public static final int ASSET_CODE_SEQUENCE_LENGTH = 4;

    /** 资产照片存储路径 */
    public static final String ASSET_PHOTO_PATH = "/asset/photo/";
    /** 允许的资产照片文件类型 */
    public static final String[] ALLOWED_PHOTO_TYPES = { ".jpg", ".jpeg", ".png" };
    /** 资产照片最大大小（字节） */
    public static final long MAX_PHOTO_SIZE = 5 * 1024 * 1024;
}