package com.psbc.cpsp.eden.enums;

import lombok.Getter;

/**
 * 资产状态枚举
 */
@Getter
public enum AssetStatusEnum {
    IDLE("0", "空闲"),
    IN_USE("1", "在用"),
    BORROWED("2", "借用"),
    DISPATCHING("3", "派发中"),
    RETURNING("4", "退库中"),
    LENDING("5", "借出中"),
    RETURNING_BORROWED("6", "归还中"),
    MAINTAINING("7", "维修中");

    private final String code;
    private final String desc;

    AssetStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static boolean isValid(String code) {
        for (AssetStatusEnum status : values()) {
            if (status.getCode().equals(code)) {
                return true;
            }
        }
        return false;
    }
} 