package com.psbc.cpsp.eden.enums;

import lombok.Getter;

/**
 * 删除标志枚举
 */
@Getter
public enum DelFlagEnum {
    NORMAL("0", "正常"),
    DELETED("1", "已删除");

    private final String code;
    private final String desc;

    DelFlagEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public static boolean isNormal(String code) {
        return NORMAL.getCode().equals(code);
    }

    public static boolean isDeleted(String code) {
        return DELETED.getCode().equals(code);
    }
}