package com.psbc.cpsp.eden.enums;

import lombok.Getter;

/**
 * 标签项目枚举
 */
@Getter
public enum LabelItemEnum {
    ASSET_NAME("1", "资产名称"),
    ASSET_CLASSIFICATION("2", "资产分类"),
    ASSET_CODE("3", "资产编码"),
    ASSET_LOCATION("4", "资产位置"),
    BRAND("5", "品牌"),
    MODEL("6", "型号"),
    SERIAL_NUMBER("7", "设备序列号"),
    ADMIN("8", "管理员"),
    MAINTENANCE_DUE_DATE("9", "保养到期时间"),
    MAINTENANCE_DESCRIPTION("10", "保养说明"),
    DEPARTMENT("11", "使用部门");

    private final String code;
    private final String name;

    LabelItemEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static LabelItemEnum getByCode(String code) {
        for (LabelItemEnum item : values()) {
            if (item.getCode().equals(code)) {
                return item;
            }
        }
        return null;
    }
}