package com.psbc.cpsp.eden.enums;

import lombok.Getter;

/**
 * 标签模板类型枚举
 */
@Getter
public enum LabelTemplateTypeEnum {
    TEMPLATE_1("1", "模板1", 1),
    TEMPLATE_2("2", "模板2", 2),
    TEMPLATE_3("3", "模板3", 3),
    TEMPLATE_4("4", "模板4", 4);

    private final String code;
    private final String name;
    private final int maxItems;

    LabelTemplateTypeEnum(String code, String name, int maxItems) {
        this.code = code;
        this.name = name;
        this.maxItems = maxItems;
    }

    public static LabelTemplateTypeEnum getByCode(String code) {
        for (LabelTemplateTypeEnum type : values()) {
            if (type.getCode().equals(code)) {
                return type;
            }
        }
        return null;
    }
}