package com.psbc.cpsp.eden.enums;

import lombok.Getter;

/**
 * 纸张类型枚举
 */
@Getter
public enum PaperTypeEnum {
    SPECIAL_PAPER("1", "标签专用纸"),
    A4_TWO_COLUMN("2", "A4(2列标签)"),
    A4_THREE_COLUMN("3", "A4(3列标签)");

    private final String code;
    private final String name;

    PaperTypeEnum(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public static PaperTypeEnum getByCode(String code) {
        for (PaperTypeEnum type : values()) {
            if (type.getCode().equals(code)) {
                return type;
            }
        }
        return null;
    }

    public boolean isSpecialPaper() {
        return this == SPECIAL_PAPER;
    }
}