package com.psbc.cpsp.eden.service.asset;

import com.psbc.cpsp.eden.common.request.AssetQueryRequest;
import com.psbc.cpsp.eden.common.vo.AssetVO;
import com.github.pagehelper.PageInfo;

/**
 * 资产管理服务接口
 */
public interface IAssetManagerService {
    /**
     * 查询资产列表
     *
     * @param request 查询条件
     * @return 资产列表
     */
    PageInfo<AssetVO> queryAssetList(AssetQueryRequest request);

    /**
     * 获取资产详情
     *
     * @param id 资产ID
     * @return 资产详情
     */
    AssetVO getAssetDetail(String id);

    /**
     * 更新资产状态
     *
     * @param id 资产ID
     * @param status 状态
     * @param userId 操作人ID
     * @return 是否成功
     */
    boolean updateAssetStatus(String id, String status, String userId);

    /**
     * 生成资产编码
     *
     * @return 资产编码
     */
    String generateAssetCode();
} 