package com.psbc.cpsp.eden.service.asset.impl;

import com.psbc.cpsp.eden.constants.AssetConstants;
import com.psbc.cpsp.eden.enums.AssetStatusEnum;
import com.psbc.cpsp.eden.common.request.AssetQueryRequest;
import com.psbc.cpsp.eden.common.vo.AssetVO;
import com.psbc.cpsp.eden.service.asset.IAssetManagerService;
import com.psbc.cpsp.entity.BizException;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * 资产管理服务实现类
 */
@Service("managementAssetService")
public class AssetManagerServiceImpl implements IAssetManagerService {

    @Override
    public PageInfo<AssetVO> queryAssetList(AssetQueryRequest request) {
        // 设置分页
        PageHelper.startPage(request.getPageNum(), request.getPageSize());
        // TODO: 实现查询逻辑
        return new PageInfo<>();
    }

    @Override
    public AssetVO getAssetDetail(String id) {
        // TODO: 实现查询逻辑
        return null;
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public boolean updateAssetStatus(String id, String status, String userId) {
        // 校验状态值是否有效
        if (!AssetStatusEnum.isValid(status)) {
            throw new BizException("400", "无效的状态值");
        }
        // TODO: 实现状态更新逻辑
        return true;
    }

    @Override
    public String generateAssetCode() {
        // 生成资产编码：前缀 + 日期 + 4位序号
        SimpleDateFormat sdf = new SimpleDateFormat(AssetConstants.ASSET_CODE_DATE_FORMAT);
        String dateStr = sdf.format(new Date());
        // TODO: 获取当天序号并加1
        String sequence = String.format("%04d", 1);
        return AssetConstants.ASSET_CODE_PREFIX + dateStr + sequence;
    }
}